Public Member Functions

# wxSockAddress Class Reference
[Networking]

`#include <wx/socket.h>`

Inheritance diagram for wxSockAddress:
[legend]

## Detailed Description

You are unlikely to need to use this class: only wxSocketBase uses it.

##

Library: wxBase
Category: Networking

See also:
  wxSocketBase, wxIPaddress, wxIPV4address

## Public Member Functions
| wxSockAddress ()
| Default constructor.
virtual | ~wxSockAddress ()
| Default destructor.
virtual void | Clear ()
| Delete all informations about the address.
int | SockAddrLen ()
| Returns the length of the socket address.
const sockaddr * | GetAddressData () const
| Returns the pointer to the low-level representation of the address.
int | GetAddressDataLen () const
| Returns the length of the buffer retrieved by GetAddressData().

List of all members.

## Constructor & Destructor Documentation

wxSockAddress::wxSockAddress | ( |  | ) |

Default constructor.

virtual wxSockAddress::~wxSockAddress | ( |  | ) | `[virtual]`

Default destructor.

## Member Function Documentation

virtual void wxSockAddress::Clear | ( |  | ) | `[virtual]`

Delete all informations about the address.

const sockaddr* wxSockAddress::GetAddressData | ( |  | ) | const

Returns the pointer to the low-level representation of the address.

This can be used to pass socket address information to a 3rd party library.

Returns:
  Pointer to a sockaddr-derived struct.

int wxSockAddress::GetAddressDataLen | ( |  | ) | const

Returns the length of the buffer retrieved by GetAddressData().

Returns:
  The size of the sockaddr-derived struct corresponding to this address.

int wxSockAddress::SockAddrLen | ( |  | ) |

Returns the length of the socket address.

|  | [ top ]